Ticket #36342

/vで始まる引数がttpmacroへ渡せない

Open Date: 2016-05-27 15:34 Last Update: 2016-08-22 20:05

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

windows7のコマンドプロンプト上で、"ttpmacro.exe" "test.ttl" "/home/aaa" "/var/bbb" "/home/ccc"を実行した時に、
test.ttlの中で、param2=/home/aaa、param3=/var/bbb、param4=/home/cccが取得されるのが期待動作だったですが、
現在はparam2=/home/aaa、param3=/home/ccc、param4=無し といった感じで取得されます
/v始まりの引数が、/vオプションと判断されているのではないかと推測されます
これも勝手な推測ですが、オプション始まりのものは全て引数として使用できないのではないでしょうか?
ご確認お願い致します

Ticket History (3/11 Histories)

2016-05-27 15:34 Updated by: None
  • New Ticket "/vで始まる引数がttpmacroへ渡せない" created
2016-05-27 15:40 Updated by: None
Comment

ver4.80で確認

2016-05-28 22:56 Updated by: (del#24082)
2016-05-28 23:15 Updated by: (del#24082)
Comment
連絡ありがとうございます。

実装を確認したところ、パラメータの先頭が /D=, /I, /S, /V になっているものは、
オプション扱いになります。

ワークアラウンドとして、
  "   /var/bbb" 
のような先頭にスペースを入れて、strtrim でスペースを除去するやり方はいかがでしょうか?
2016-05-28 23:16 Updated by: (del#24082)
  • Owner Update from (None) to yutakapon
2016-05-30 09:30 Updated by: None
Comment

ご確認頂きありがとうございます また、ワークアラウンドのご提示ありがとうございます そのまんまの方法で、回避しておきます

2016-05-30 19:49 Updated by: (del#24082)
  • Owner Update from yutakapon to (None)
2016-06-14 11:32 Updated by: doda
  • Owner Update from (None) to doda
2016-06-14 11:32 Updated by: doda
  • Resolution Update from None to Accepted
2016-08-17 16:00 Updated by: doda
  • Resolution Update from Accepted to Fixed
Comment

4.92 から、マクロファイル名より後に指定した物はすべてマクロのパラメータとして解釈されるようになります。

ttpmacro.exe /v macro-filename.ttl
=> paramcnt=1, param2="", マクロウィンドウ非表示

ttpmacro.exe macro-filename.ttl /v
=> paramcnt=2, param2="/v", マクロウィンドウ表示

2016-08-22 20:05 Updated by: (del#1144)
  • Ticket Close date is changed to 2016-08-22 20:05
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login